[TOC]

# choirMail

send a weekly mail automatically

## Building
Just run `nix build`.

## Running
Just run the binary to send a mail, it requires exactly one
parameter that points to a config file.

### Configuration
The config file is a toml file, even though it as of now makes not really use
of any toml features.

```toml
mailDomain   = "the domain of the smtp server to send messages with"
mailUser     = "the username on the smtp server"
mailPassword = "the passwond on the smtp server"
mailTo       = "the mail to send to"
mailFrom     = "the sender of the mail"
mailErrorTo  = "the address to send a mail to in case of error"
```

## Develop
If you run `nix develop` you get a set up kakoune with an lsp. Be aware
this depends on your local cabal cache.

# TODO
- Better E-Mail generation
- Add the nix modules to the flake
- Better Error handling
  - Find out which exceptions the SMTP module throws

